Skip to content

Create Pipeline

POST
/api/v1/pipelines/
curl --request POST \
--url https://example.com/api/v1/pipelines/ \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "name": "example", "storage": "example", "configuration": { "additionalProperty": "example" }, "clusters": [ { "label": "example", "node_type_id": "example", "driver_node_type_id": "example", "num_workers": 1, "autoscale": { "additionalProperty": 1 }, "custom_tags": { "additionalProperty": "example" }, "spark_conf": { "additionalProperty": "example" }, "spark_env_vars": { "additionalProperty": "example" }, "enable_local_disk_encryption": true, "instance_pool_id": "example" } ], "libraries": [ { "notebook": { "additionalProperty": "example" }, "file": { "additionalProperty": "example" }, "jar": "example", "maven": { "additionalProperty": "example" }, "pypi": { "additionalProperty": "example" }, "whl": "example" } ], "target": "example", "schema": "example", "continuous": true, "development": false, "photon": false, "channel": "CURRENT", "edition": "ADVANCED", "catalog": "example", "notifications": [ {} ], "serverless": true, "root_path": "example" }'

Create a new pipeline with namespaced Nexa tags (prevents config collision).

X-Environment-Id
Any of:
string
Media typeapplication/json
PipelineSpec

DLT Pipeline specification.

object
id
Any of:
string
name
required
Name

Pipeline name

string
storage
Any of:
string
configuration
Any of:
object
key
additional properties
string
clusters
Any of:
Array<object>
PipelineCluster

DLT Pipeline cluster configuration.

All fields are optional to allow flexible cluster configuration. Databricks will use defaults for unspecified values.

object
label
Any of:
string
node_type_id
Any of:
string
driver_node_type_id
Any of:
string
num_workers
Any of:
integer
autoscale
Any of:
object
key
additional properties
integer
custom_tags
Any of:
object
key
additional properties
string
spark_conf
Any of:
object
key
additional properties
string
spark_env_vars
Any of:
object
key
additional properties
string
enable_local_disk_encryption
Any of:
boolean
instance_pool_id
Any of:
string
libraries
required
Libraries

Pipeline libraries

Array<object>
PipelineLibrary

DLT Pipeline library configuration.

All fields are optional as only one library type should be specified per entry.

object
notebook
Any of:
object
key
additional properties
string
file
Any of:
object
key
additional properties
string
jar
Any of:
string
maven
Any of:
object
key
additional properties
string
pypi
Any of:
object
key
additional properties
string
whl
Any of:
string
target
Any of:
string
schema
Any of:
string
continuous
Any of:
boolean
development
Any of:
boolean
photon
Any of:
boolean
channel
Any of:
string
edition
Any of:
string
catalog
Any of:
string
notifications
Any of:
Array<object>
object
key
additional properties
any
serverless
Any of:
boolean
root_path
Any of:
string

Successful Response

Media typeapplication/json
PipelineResponse

Response model for a single pipeline - aligned with Databricks API.

object
pipeline_id
required
Pipeline Id

Unique identifier for the pipeline

string
name
required
Name

Name of the pipeline

string
state
Any of:
string
cluster_id
Any of:
string
creator_user_name
Any of:
string
nexa_managed
Nexa Managed
boolean
health
Any of:
PipelineHealthItem

Lightweight health info for list responses.

object
status
Status
string
default: UNKNOWN
last_update_state
Any of:
string
last_update_time
Any of:
Last Update Time
last_success_time
Any of:
Last Success Time
last_failure_time
Any of:
Last Failure Time
consecutive_failures
Consecutive Failures
integer
0
is_stale
Is Stale
boolean
longest_running_seconds
Any of:
integer
last_error_message
Any of:
string
spec
Any of:
object
key
additional properties
any
latest_updates
Any of:
Array<object>
object
key
additional properties
any
run_as_user_name
Any of:
string
key
additional properties
any
Example
{
"nexa_managed": false,
"health": {
"status": "UNKNOWN",
"consecutive_failures": 0,
"is_stale": false
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}